# Feed item activity

## Get Feed Item Activities

> Retrieve a list of activities associated with a specific feed item.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Fetch list of activities in a feed item","name":"activity"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"parameters":{"pagination.param.limit":{"description":"Limits the number of results to return.","in":"query","name":"limit","schema":{"default":25,"maximum":100,"type":"integer"}},"pagination.param.pageToken":{"description":"The cursor that keeps track of the current position in the results.","in":"query","name":"pageToken","schema":{"type":"string"}},"pagination.param.reverse":{"description":"Reverses the order in which the results are returned.","in":"query","name":"reverse","schema":{"default":false,"type":"boolean"}},"queryActivityType":{"description":"Filter by activity type","in":"query","name":"type","schema":{"$ref":"#/components/schemas/ActivityType"}}},"schemas":{"ActivityType":{"type":"string","enum":["comment","event"]},"ActivityList":{"type":"object","required":["results"],"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Activity"}}}},"Activity":{"oneOf":[{"$ref":"#/components/schemas/ActivityTypeComment"},{"$ref":"#/components/schemas/ActivityTypeEvent"}]},"ActivityTypeComment":{"type":"object","additionalProperties":false,"required":["id","type","content","createdAt","updatedAt"],"properties":{"id":{"type":"string"},"type":{"type":"string","enum":["comment"]},"content":{"$ref":"#/components/schemas/ActivityContentComment"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"ActivityContentComment":{"type":"object","additionalProperties":false,"required":["id","author","body"],"properties":{"id":{"type":"string"},"author":{"$ref":"#/components/schemas/ActivityAuthor"},"replyTo":{"$ref":"#/components/schemas/CommentReplyTo"},"body":{"$ref":"#/components/schemas/CommentBody"},"mentions":{"$ref":"#/components/schemas/CommentMentions"}}},"ActivityAuthor":{"type":"object","additionalProperties":false,"required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string","enum":["user","flows"]},"displayName":{"type":"string"},"avatarUrl":{"type":"string"}}},"CommentReplyTo":{"type":"object","required":["type","id"],"additionalProperties":false,"properties":{"id":{"type":"string","format":"uuid"},"type":{"$ref":"#/components/schemas/ReplyToType"}}},"ReplyToType":{"type":"string","enum":["comment","message"]},"CommentBody":{"type":"object","title":"CommentBody","allOf":[{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["text","html"]}}},{"oneOf":[{"$ref":"#/components/schemas/CommentBodyTypeText"},{"$ref":"#/components/schemas/CommentBodyTypeHTML"}],"discriminator":{"propertyName":"type","mapping":{"text":"#/components/schemas/CommentBodyTypeText","html":"#/components/schemas/CommentBodyTypeHTML"}}}]},"CommentBodyTypeText":{"type":"object","required":["text","type"],"additionalProperties":false,"properties":{"type":{"type":"string","enum":["text"]},"text":{"type":"object","additionalProperties":false,"required":["text"],"properties":{"text":{"type":"string","minLength":1}}}}},"CommentBodyTypeHTML":{"type":"object","required":["type","html"],"additionalProperties":false,"properties":{"type":{"type":"string","enum":["html"]},"html":{"type":"object","additionalProperties":false,"properties":{"text":{"type":"string"},"html":{"type":"string","minLength":1},"attachments":{"type":"array","items":{"type":"object","additionalProperties":false,"required":["mediaUrl","filename"],"properties":{"mediaUrl":{"type":"string","minLength":1},"filename":{"type":"string"},"inline":{"type":"boolean"}}}}}}}},"CommentMentions":{"type":"object","title":"CommentMentions","additionalProperties":false,"nullable":true,"required":["identifiers"],"properties":{"notify":{"type":"object","additionalProperties":false,"nullable":false,"description":"Notify are notification settings for mentions in comments. Every new mentioned individual will be notified the moment they are added as a mention.\nIf OnUpdate is true, existing mentions will be notified when a comment is changed.\nIf OnDelete is true, mentions will get notified when the comment gets deleted.\n","properties":{"onUpdate":{"type":"boolean","nullable":false,"default":false},"onDelete":{"type":"boolean","nullable":false,"default":false}}},"identifiers":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","format":"uuid","description":"Only agent IDs are supported at the moment."}}}}}},"ActivityTypeEvent":{"type":"object","additionalProperties":false,"required":["id","type","content","createdAt","updatedAt"],"properties":{"id":{"type":"string"},"type":{"type":"string","enum":["event"]},"content":{"oneOf":[{"$ref":"#/components/schemas/ActivityContentEvent"},{"$ref":"#/components/schemas/ActivityContentRouteToAgent"}]},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"ActivityContentEvent":{"type":"object","additionalProperties":false,"required":["type"],"properties":{"type":{"$ref":"#/components/schemas/ActivityContentEventType"},"author":{"$ref":"#/components/schemas/ActivityAuthor"},"subject":{"$ref":"#/components/schemas/ActivitySubject"}}},"ActivityContentEventType":{"type":"string","enum":["agent_assigned","team_assigned","agent_unassigned","team_unassigned","archived","unarchived","closed","reopened","participant_added","participant_removed","tag_added","tag_removed","call_started","call_enqueued","call_answered","call_hold","call_unhold","call_ended","recording_started","recording_paused","recording_resumed","recording_completed","recording_available","transcription_started","transcription_available","voicemail","voicemail_dropped"]},"ActivitySubject":{"type":"object","additionalProperties":false,"required":["id","name"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"}}},"ActivityContentRouteToAgent":{"type":"object","additionalProperties":false,"required":["type","context"],"properties":{"type":{"$ref":"#/components/schemas/ActivityContentRouteToAgentType"},"context":{"type":"object","additionalProperties":false,"properties":{"selectionMode":{"$ref":"#/components/schemas/ActivityContentRouteToAgentSelectionMode"},"agents":{"type":"array","items":{"$ref":"#/components/schemas/ActivityContentRouteToAgentDecision"}}}}}},"ActivityContentRouteToAgentType":{"type":"string","enum":["route_to_agent"]},"ActivityContentRouteToAgentSelectionMode":{"type":"string","enum":["filtered","all"]},"ActivityContentRouteToAgentDecision":{"type":"object","additionalProperties":false,"properties":{"agentId":{"type":"string","format":"uuid"},"agentName":{"type":"string"},"agentStatus":{"$ref":"#/components/schemas/AgentStatus"},"agentAvailability":{"$ref":"#/components/schemas/AgentAvailabilityActivity"},"ticketAssignmentCount":{"type":"integer"},"ticketLastAssignedAt":{"type":"string","format":"date-time"},"isSelected":{"type":"boolean"},"isSkipped":{"type":"boolean"},"skipReason":{"$ref":"#/components/schemas/ActivityContentRouteToAgentDecisionSkipReason"}}},"AgentStatus":{"type":"string","enum":["active","away","out-of-office"]},"AgentAvailabilityActivity":{"type":"string","enum":["available","in-call","busy","wrap-up-time","do-not-disturb","offline","not-available","out-of-hours","custom"]},"ActivityContentRouteToAgentDecisionSkipReason":{"type":"string","enum":["notAvailable","notSkilled"]},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/feeds/{feedId}/items/{itemId}/activities":{"get":{"description":"Retrieve a list of activities associated with a specific feed item.","operationId":"listActivities","parameters":[{"$ref":"#/components/parameters/pagination.param.limit"},{"$ref":"#/components/parameters/pagination.param.pageToken"},{"$ref":"#/components/parameters/pagination.param.reverse"},{"$ref":"#/components/parameters/queryActivityType"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActivityList"}}},"description":"ok"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Get Feed Item Activities","tags":["activity"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/collaborations-api/api-reference/feed-item-activity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
